html,
body {
  height: 100%;
  padding: 0;
  margin: 0 !important;
  overflow: hidden;
  font-family: sans-serif;
}

html body {
  display: block;
}

html body main {
  height: 100%;
}

html body main #app {
  height: 100%;
}

html body main #app h4 {
  font-family: "Libre Barcode 128 Text", sans-serif;
  font-size: 30px;
  font-weight: normal;
  margin: 0;
  padding: 10px 0;
  color: #5e5e5e;
}

html body main #app.login span.invalid-feedback {
  display: block;
  max-width: 220px;
}

html body main #app.login > .container > .row {
  display: flex;
  justify-content: center;
  padding: 98px 24px;
}

html body main #app.login > .container > .row label,
html body main #app.login > .container > .row span,
html body main #app.login > .container > .row a {
  font-family: sans-serif;
  padding: 10px;
}

html body main #app.login > .container > .row label {
  display: inline-block;
  vertical-align: bottom;
  cursor: pointer;
}

html body main #app.login > .container > .row a {
  text-align: center;
  display: block;
  text-decoration: none;
}

html body main #app.login > .container > .row input {
  color: #2d2f31;
  min-width: 160px;
  margin: 10px 0;
  font-family: inherit;
  box-sizing: border-box;
  width: 100%;
  font-size: 16px;
  height: 40px;
  background: white;
  padding: 0px 16px;
  border-radius: 3px;
  border-width: 1px;
  border-style: solid;
  border-color: #63727d;
  -o-border-image: initial;
     border-image: initial;
  font-family: sans-serif;
}

html body main #app.login > .container > .row input[type=checkbox] {
  display: inline-block;
  vertical-align: sub;
  padding: initial;
  height: 20px;
  width: 50px !important;
  min-width: unset;
}

html body main #app.login > .container > .row button {
  height: 40px;
  line-height: 1;
  width: 100%;
  position: relative;
  background-color: #4c76e0;
  color: white;
  cursor: pointer;
  display: inline-flex;
  vertical-align: top;
  justify-content: center;
  align-items: center;
  font-family: inherit;
  font-size: 14px;
  font-weight: 600;
  border-width: 0px;
  border-style: initial;
  border-color: initial;
  -o-border-image: initial;
     border-image: initial;
  border-radius: 3px;
  padding: 0px 16px;
  outline: none;
  transition: all 0.15s ease-in-out 0s;
  font-family: sans-serif;
}

html body main #app.login > .container > .row button:hover {
  opacity: 0.7;
}

html body main #app #wrap {
  height: 100%;
}

html body main #app #wrap header {
  position: absolute;
  width: 100%;
  background-color: #158CBE;
  z-index: 10;
}

html body main #app #wrap header img.img-logo {
  max-width: 350px;
  display: inline-block;
  vertical-align: middle;
  padding: 10px 0px;
}

html body main #app #wrap header #logo {
  float: none !important;
  vertical-align: middle;
  background-color: #fff;
  border-radius: 50%;
  display: inline-block;
  padding: 18px 6px !important;
  margin: 10px;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
}

html body main #app #wrap header #logo img.img-logo {
  width: 52px;
}

html body main #app #wrap header .sub-title {
  display: inline-block;
  vertical-align: baseline;
}

html body main #app #wrap header .nav {
  display: block;
  width: auto;
  justify-content: space-between;
  align-items: center;
  padding: 10px 0px;
  float: right;
}

html body main #app #wrap header .nav .nav_group {
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
}

html body main #app #wrap header .nav .nav_group_right a {
  color: #fff;
  text-decoration: none;
}

html body main #app #wrap header .nav .nav_group_right button {
  height: 32px;
  position: relative;
  background-color: #0b6b93;
  color: white;
  cursor: pointer;
  display: inline-flex;
  vertical-align: top;
  justify-content: center;
  align-items: center;
  font-family: inherit;
  font-size: 14px;
  font-weight: 600;
  border-width: 0px;
  border-style: initial;
  border-color: initial;
  -o-border-image: initial;
     border-image: initial;
  border-radius: 3px;
  padding: 0px 16px;
  outline: none;
  transition: all 0.15s ease-in-out 0s;
  margin-right: 8px;
  fill: white;
  display: block;
}

html body main #app #wrap header .nav .nav_group_right button:hover {
  background-color: #064f6e;
}

html body main #app #wrap header .nav .nav_group_right button span {
  display: inline-block;
  margin-left: 6px;
  font-size: inherit;
  vertical-align: super;
  padding-top: 4px;
}

html body main #app #wrap header .nav .nav_group_right button span svg {
  fill: currentColor;
  font-size: inherit;
}

html body main #app #wrap .img-banner .logo-banner h4 {
  font-family: "Libre Barcode 128 Text", sans-serif;
  font-size: 70px;
  font-weight: normal;
  margin: 0;
  padding: 10px 0;
  color: #5e5e5e;
}

html body main #app #wrap #content {
  position: relative;
  z-index: 1;
  height: 100%;
  box-sizing: border-box;
}

html body main #app #wrap #content section {
  padding-top: 50px;
  height: 100%;
  box-sizing: border-box;
  display: flex;
  flex-wrap: nowrap;
}

html body main #app #wrap #content section .leftCol,
html body main #app #wrap #content section .rightCol {
  height: 100%;
  display: inline-block;
  flex: 1;
}

html body main #app #wrap #content section .leftCol {
  overflow: auto;
  width: 19%;
  min-width: 300px;
  max-width: 350px;
}

html body main #app #wrap #content section .leftCol h2 {
  text-indent: 40px;
}

html body main #app #wrap #content section .leftCol .search {
  margin: 0 auto 22px;
  width: 88%;
}

html body main #app #wrap #content section .leftCol .search input {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 2px 0px inset;
  border-width: 1px;
  border-style: solid;
  border-color: #dbe0e6;
  -o-border-image: initial;
     border-image: initial;
  border-radius: 4px;
  background: rgba(245, 247, 250, 0.56);
  min-height: 1.5em;
  color: #2d2f31;
  font-family: inherit;
  box-sizing: border-box;
  width: 80%;
  font-size: 14px;
  height: 32px;
}

html body main #app #wrap #content section .leftCol .search button {
  border: none;
  height: 32px;
  display: inline-block;
  vertical-align: top;
  width: 32px;
  border-radius: 4px;
  cursor: pointer;
  transition: 0.3s;
}

html body main #app #wrap #content section .leftCol .search button:hover {
  opacity: 0.7;
}

html body main #app #wrap #content section .leftCol .channelSel {
  display: flex;
}

html body main #app #wrap #content section .leftCol .channelSel button {
  background: transparent;
  border: 0;
  padding: 16px;
  text-transform: uppercase;
  color: grey;
  font-weight: 600;
  transition: 0.3s;
  cursor: pointer;
  flex: 2;
}

html body main #app #wrap #content section .leftCol .channelSel button.active {
  border-bottom: 2px solid grey;
  color: #000;
  cursor: auto;
}

html body main #app #wrap #content section .leftCol .conversation-list {
  z-index: 10000;
  position: relative;
  opacity: 1;
  transform-origin: 0% 0% 0px;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation {
  cursor: pointer;
  position: relative;
  overflow-y: hidden;
  display: block;
  border-radius: 0px;
  padding: 14px 24px 16px 0px;
  outline: none;
  transition: 0.3s;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation.active {
  color: white;
  background: #158cbe;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation.active:hover {
  background: rgba(21, 140, 190, 0.7);
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation.active div,
html body main #app #wrap #content section .leftCol .conversation-list .conversation.active .name,
html body main #app #wrap #content section .leftCol .conversation-list .conversation.active .date {
  color: inherit !important;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation .conv-title {
  display: flex;
  align-items: center;
  margin-bottom: 2px;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation .conv-title .indicator {
  width: 32px;
  flex-shrink: 0;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation .conv-title .name {
  flex-grow: 1;
  min-width: 0px;
  white-space: nowrap;
  text-overflow: ellipsis;
  font-size: 16px;
  line-height: 21px;
  color: #2d2f31;
  font-weight: 600;
  overflow: hidden;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation .conv-title .date {
  display: flex;
  flex-shrink: 0;
  margin-left: 8px;
  color: #63727d;
  font-size: 12px;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation .conv-desc {
  display: flex;
  padding-left: 32px;
  font-size: 14px;
  line-height: 20px;
  color: #63727d;
  overflow: hidden;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation .conv-desc img {
  opacity: 0.7;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  margin-right: 2px;
  flex-shrink: 0;
  height: 18px;
  width: 18px;
}

html body main #app #wrap #content section .leftCol .conversation-list .conversation .conv-desc .message-body {
  opacity: 0.7;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

html body main #app #wrap #content section .rightCol {
  height: 100%;
  overflow: auto;
  width: 80%;
  display: inline-block;
  box-sizing: border-box;
  border-left: solid #80808047 1px;
  flex: 3;
}

html body .modal {
  position: absolute;
  top: 0;
  right: 0;
}

html body [tabindex],
html body a,
html body area,
html body button,
html body input,
html body label,
html body select,
html body textarea {
  touch-action: manipulation;
}

html body main #app #wrap #content input,
html body main #app #wrap #content .editor {
  outline: none;
}

html body main #app #wrap #content button {
  border-width: 0;
  background: transparent;
  outline: none;
  transition: 0.2s;
}

html body main #app #wrap #content button:hover {
  cursor: pointer;
  opacity: 0.7;
}

html body main #app #wrap #content section .rightCol#conversation {
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 1;
  flex: 2 1 auto;
}

html body main #app #wrap #content section .rightCol#conversation button:hover {
  opacity: 0.8;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_new {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 350;
  background: #fff;
  display: none;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_new .container {
  padding: 0 24px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_new .container .topBar {
  width: 100%;
  height: 62px;
  display: flex;
  align-items: center;
  font-size: 18px;
  margin: 15px;
  position: relative;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_new .container .topBar .current {
  display: flex;
  flex-grow: 1;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_new .container .topBar button {
  min-height: 1.5em;
  background-color: transparent;
  color: inherit;
  touch-action: manipulation;
  border-width: 0;
  transition: 0.2s;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_new .container .topBar .close {
  height: 56px;
  width: 3rem;
  outline: 0px;
  cursor: pointer;
  position: absolute;
  right: 19px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_new .container .conv_component.new.cont {
  margin-top: 56px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_new .container .conv_component.new.cont .head {
  text-transform: uppercase;
  font-size: 12px;
  color: #878787;
  font-weight: 500;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_new .container .conv_component.new.cont .wrap input {
  outline: none;
  font-size: 32px;
  font-weight: 600;
  padding: 8px 0px;
  width: 100%;
  border-width: 0;
  border-bottom: 1px solid #e4e9f0;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main {
  height: 100%;
  background: #f4f6f9;
  overflow: hidden;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content {
  height: 100%;
  position: relative;
  opacity: 1;
  display: flex;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content img.emoji {
  height: 1em;
  width: 1em;
  margin: 0 0.05em 0 0.1em;
  vertical-align: -0.1em;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: 100%;
  flex-grow: 1;
  opacity: 1;
  margin-right: 0px;
  transition: margin-right 0.3s ease-in-out 0s;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  position: relative;
  flex: 1 1 auto;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head {
  align-items: center;
  display: flex;
  justify-content: space-between;
  z-index: 300;
  background-color: white;
  transform: translateY(0px);
  border-bottom: 1px solid #e4e9f0;
  flex: 0 0 64px;
  transition: transform 0.3s ease-in-out 0s;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .left {
  display: flex;
  flex-shrink: 1;
  flex-grow: 1;
  min-width: 0px;
  align-items: center;
  height: 100%;
  cursor: pointer;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .left .info {
  display: flex;
  padding-left: 16px;
  max-width: calc(((100vw - 256px) - 375px) - 350px);
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .left .info .title {
  display: flex;
  align-items: center;
  max-width: calc(((100vw - 256px) - 375px) - 350px);
  margin-left: 16px;
  padding: 8px;
  border-radius: 4px;
  cursor: pointer;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .left .info .title .name {
  display: flex;
  margin: 0;
  padding-top: 0;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .left .info .title p {
  font-weight: 500;
  font-size: 16px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .left .info .title .arrow {
  white-space: nowrap;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .left .info .title .arrow:after {
  content: "";
  position: absolute;
  width: 0px;
  height: 0px;
  bottom: -15px;
  right: 50%;
  transform: translate(50%, 0px);
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #2d2f31;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .left .info .title .arrow img {
  width: 18px;
  height: 18px;
  margin-bottom: 3px;
  margin-left: 4px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .left .info .co {
  font-size: 12px;
  color: #878787;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .right {
  display: flex;
  justify-content: flex-end;
  margin-right: 15px;
  flex: 0 0 300px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .right .action {
  display: flex;
  align-items: center;
  margin-left: 16px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .right .action .arrow {
  position: relative;
  display: inline-block;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-head .right .action button {
  cursor: pointer;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap {
  position: relative;
  height: 100%;
  min-height: 0px;
  transition: transform 0.3s ease-in-out 0s;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed {
  overflow-y: auto;
  transform: translate3d(0px, 0px, 0px);
  height: 100%;
  padding: 0px 24px;
  background: white;
  box-shadow: -0.5px 5px 12px rgba(0, 0, 0, 0.17) inset;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: #F5F5F5;
  border-radius: 10px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed::-webkit-scrollbar {
  width: 10px;
  background-color: #F5F5F5;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background-image: -webkit-gradient(linear, left bottom, left top, color-stop(0.24, #158cbe), color-stop(0.62, #296e8c), color-stop(0.86, #0b6b93));
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont {
  width: 100%;
  position: relative;
  margin-bottom: 10px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont.outgoing {
  text-align: right;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont.outgoing .bubble {
  background-color: #c6ffbc;
  border-radius: 26px 26px 3px 26px !important;
  background-color: #1f8cb9;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont.outgoing .bubble .bubble-inner .text {
  color: #fff;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont .bubble {
  text-align: left;
  background-color: #f4f6f9;
  display: inline-block;
  max-width: 54%;
  overflow-wrap: break-word;
  line-height: 1.4;
  font-size: 14px;
  position: relative;
  margin-bottom: 3px;
  border-radius: 26px 26px 26px 3px;
  padding: 12px 20px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont .bubble .bubble-inner {
  max-width: 512px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont .bubble .bubble-inner .text {
  font-size: 14px;
  line-height: 1.4;
  cursor: text;
  color: black;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont .timestamp {
  font-size: 12px;
  line-height: 1.25;
  color: #63727d;
  margin: 2px 0px 0px 1px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont .timestamp > div {
  display: inline-block;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-wrap .conversation-feed .msg .directional-cont .timestamp .sender-name {
  font-weight: bold;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .bulkAction {
  position: absolute;
  bottom: -200px;
  width: 100%;
  height: 200px;
  transform: translateY(0px);
  transition: transform 0.3s ease-in-out 0s;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer {
  transform: scaleY(1);
  transform-origin: center bottom;
  transition: transform 0.3s ease-in-out 0s;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .conversation-composer#message_composer {
  width: 100%;
  height: 60%;
  padding: 0 24px;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .conversation-composer#message_composer .message_components {
  position: relative;
  border: 1px solid #d3d7dd;
  border-radius: 8px;
  margin-bottom: 15px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .conversation-composer#message_composer .message_components .editor_container {
  width: 100%;
  display: flex;
  word-break: break-word;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .conversation-composer#message_composer .message_components .editor_container .editor {
  position: relative;
  color: #2d2f31;
  white-space: pre-wrap;
  cursor: text;
  width: 100%;
  max-height: 120px;
  font-size: 14px;
  line-height: 21px;
  min-height: 40px;
  flex: 1 1 0%;
  overflow: auto;
  padding: 22px 88px 0px 24px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .conversation-composer#message_composer .message_components .editor_container .editor p {
  margin: 0;
  padding: 0;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .conversation-composer#message_composer .message_components .editor_container .editor p br {
  margin: 0;
  padding: 0;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .conversation-composer#message_composer .message_components .editor_container .editor .clipboard {
  display: none;
  touch-action: manipulation;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .conversation-composer#message_composer .message_components .editor_container .editor.blank:before {
  color: #2d2f31;
  opacity: 0.4;
  content: attr(data-placeholder);
  left: 24px;
  right: 22px;
  pointer-events: none;
  position: absolute;
  white-space: nowrap;
  text-overflow: ellipsis;
  padding-left: 3px;
  padding-right: 48px;
  overflow: hidden;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .conversation-composer#message_composer .message_components button.emoji_icon_wrapper {
  position: absolute;
  top: 10px;
  right: 10px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .message-actions-container#message_actions {
  display: flex;
  justify-content: space-between;
  padding: 16px 24px 12px 8px;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .message-actions-container#message_actions .left {
  color: #4c76e0;
  display: flex;
  align-items: center;
  outline: none;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .message-actions-container#message_actions .right {
  display: flex;
  align-items: center;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .message-actions-container#message_actions .right button {
  min-height: 1.5em;
  margin-right: 8px;
  touch-act3030ion: manipulation;
}

html body main #app #wrap #content section .rightCol#conversation .conversation_main .conversation_content .conversation_show .conversation_body .conversation-footer .message-actions-container#message_actions .right button.send {
  height: 32px;
  line-height: 1;
  position: relative;
  background-color: #ebebeb;
  color: #4c76e0;
  cursor: pointer;
  display: inline-flex;
  vertical-align: top;
  justify-content: center;
  align-items: center;
  font-family: inherit;
  font-size: 14px;
  font-weight: 600;
  border-width: 0px;
  border-style: initial;
  border-color: initial;
  -o-border-image: initial;
     border-image: initial;
  border-radius: 3px;
  padding: 0px 16px;
  outline: none;
  transition: all 0.15s ease-in-out 0s;
}

